package com.lantone.daqe.facade;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.daqe.dto.GetBlockLossPageDTO;
import com.lantone.daqe.dto.UpBlockLossByIdVO;
import com.lantone.daqe.entity.BlocklossResult;
import com.lantone.daqe.facade.base.BlocklossResultFacade;
import com.lantone.daqe.vo.GetBlockLossPageVO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 病历数据丢失明细-业务处理类
 * @author: songxl
 * @time: 2022/3/4 10:39
 */
@Component
public class BlockLossManagementFacade {
    @Autowired
    private BlocklossResultFacade blocklossResultFacade;


    /**
     * 获取病历数据丢失明细分页列表
     *
     * @param getBlockLossPageVO
     * @Return com.baomidou.mybatisplus.core.metadata.IPage<com.lantone.daqe.dto.GetBlockLossPageDTO>
     */
    public IPage<GetBlockLossPageDTO> getBlockLossPage(GetBlockLossPageVO getBlockLossPageVO) {
        return blocklossResultFacade.getBaseMapper().getBlockLossPage(getBlockLossPageVO);
    }

    /**
     * 通过id修改病历数据块丢失明细
     *
     * @param upBlockLossByIdVO
     * @Return java.lang.Boolean
     */
    public Boolean upBlockLossById(UpBlockLossByIdVO upBlockLossByIdVO) {
        BlocklossResult blocklossResult = new BlocklossResult();
        BeanUtils.copyProperties(upBlockLossByIdVO, blocklossResult);
        return blocklossResultFacade.updateById(blocklossResult);
    }
}